## ros-foxy-ur-bringup 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_bringup)

find_package(ament_cmake REQUIRED)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-ur-bringup (2.0.2-2focal) focal; urgency=high

  * executable name change (#514 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/514>)
  * Don't attempt to start dashboard_client when use_fake_hardware is true (#486 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/486>)
  * Contributors: Felix Exner, mertgungor

 -- Marvin Große Besselmann <grosse@fzi.de>  Tue, 06 Dec 2022 23:00:00 -0000

ros-foxy-ur-bringup (2.0.1-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 31 Jul 2022 22:00:00 -0000

ros-foxy-ur-bringup (2.0.0-2focal) focal; urgency=high

  * Updated package dependencies (#399 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/399>)
  * Foxy: Update dependencies and binary repos file (#373 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/373>)
  * Foxy controller stopper (#324 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/324>)
  * Fix ros2 control xacro (#213 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/213>)
  * Add parameters for checking start state (#143 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/143>)
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd
    and: https://github.com/ros-controls/ros2_controllers/commit/612f610c24d026a41abd2dd026902c672cf778c9#diff-5d3e18800b3a217b37b91036031bdb170f5183970f54d1f951bb12f2e4847706
  * Removed dashboard client from hardware interface
  * README cleanup, make MoveIt installation optional (#86 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/86>)
  * Using modern python
  * Some intermediate commit
  * Restore ur_control.launch.py
  * Added view_ur for checking description
  * Make an optional launch arg for RViz, document it in README (#82 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/82>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Delete controller_stopper and ur_bringup pkgs
  * Add XML schema to all ``package.xml`` files
  * Update packaging for ROS2
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Delete all launch/config files with no UR5 relation
  * Update CMakeLists and package.xml for:
  * Change pkg versions to 0.0.0
  * Add ur5_moveit_config, ur_bringup, ur_description pkgs
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, Gaël Écorchard, John Morris, Kenneth Bogert, Marvin Große Besselmann, livanov93

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 19 Jun 2022 22:00:00 -0000

ros-foxy-ur-bringup (0.0.3-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Wed, 28 Oct 2020 23:00:00 -0000

=== debian/control ===
Source: ros-foxy-ur-bringup
Section: misc
Priority: optional
Maintainer: Marvin Große Besselmann <grosse@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ur-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-controller-manager, ros-foxy-joint-state-broadcaster, ros-foxy-joint-trajectory-controller, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-moveit-ros-move-group, ros-foxy-moveit-simple-controller-manager, ros-foxy-robot-state-publisher, ros-foxy-rviz2, ros-foxy-ur-controllers, ros-foxy-ur-description, ros-foxy-ur-moveit-config, ros-foxy-urdf, ros-foxy-warehouse-ros-mongo, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Launch file and run-time configurations, e.g.
 controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ur-bringup//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
